Can't update 3.9.0 to 3.9.1 "Joomla is up to date"! Topic is solved

Need help with the Administration of your Joomla! 3.x site? This is the spot for you.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sat Jan 12, 2019 9:49 am

Further below is the updated FPA report @sozzled,

You will notice that that the PHP version is 5.x, I had to downgrade as I faced some issues with some of my extensions. Something interesting that I have to mention here is that I have uploaded 3 different backups in different directories (even one of 3 months ago) where Joomla! update was DEFINITELY working, and now it does not. It seems to me that it has nothing to do with Joomla! core files (it was mentioned here before) as the host mentioned. Also, it is possible that the issue appeared after moving from a 5.x server to a 7.x (not domain but server upgrade), probably not because of the PHP itself upgrade as you have already mentioned but possibly because the new server has different settings?

Can this be related to the .htaccess file in the root folder (not public_html) or any other .htaccess file ot configuration.php?

////////////////////////////////////////////////
Here follows the .htaccess in the root folder:

<IfModule mod_setenvif.c>
# Netscape 4.x has some problems...
BrowserMatch ^Mozilla/4 gzip-only-text/html

# Netscape 4.06-4.08 have some more problems
BrowserMatch ^Mozilla/4\.0[678] no-gzip

# MSIE masquerades as Netscape, but it is fine
# BrowserMatch \bMSIE !no-gzip !gzip-only-text/html

# NOTE: Due to a bug in mod_setenvif up to Apache 2.0.48
# the above regex won't work. You can use the following
# workaround to get the desired effect:
BrowserMatch \bMSI[E] !no-gzip !gzip-only-text/html

# Don't compress images
SetEnvIfNoCase Request_URI .(?:gif|jpe?g|png)$ no-gzip dont-vary
</IfModule>

<IfModule mod_headers.c>
# Make sure proxies don't deliver the wrong content
Header append Vary User-Agent env=!dont-vary
</IfModule>
</IfModule>

# BEGIN cPanel-generated php ini directives, do not edit
# Manual editing of this file may result in unexpected behavior.
# To make changes to this file, use the cPanel MultiPHP INI Editor (Home >> Software >> MultiPHP INI Editor)
# For more information, read our documentation (https://go.cpanel.net/EA4ModifyINI)
<IfModule php7_module>
php_flag display_errors Off
php_value max_execution_time 30
php_value max_input_time 60
php_value max_input_vars 1000
php_value memory_limit 128M
php_value post_max_size 64M
php_value session.gc_maxlifetime 1440
php_value session.save_path "/var/cpanel/php/sessions/ea-php70"
php_value upload_max_filesize 32M
php_flag zlib.output_compression Off
</IfModule>
# END cPanel-generated php ini directives, do not edit

//////////////////////////////////////////////////
Here follows the .htaccess file in public_html directory:

# php -- BEGIN cPanel-generated handler, do not edit
# Set the “ea-php55” package as the default “PHP” programming language.
<IfModule mime_module>
AddType application/x-httpd-ea-php55 .php .php5 .phtml
</IfModule>
# php -- END cPanel-generated handler, do not edit

# BEGIN cPanel-generated php ini directives, do not edit
# Manual editing of this file may result in unexpected behavior.
# To make changes to this file, use the cPanel MultiPHP INI Editor (Home >> Software >> MultiPHP INI Editor)
# For more information, read our documentation (https://go.cpanel.net/EA4ModifyINI)
<IfModule php5_module>
php_flag display_errors Off
php_value max_execution_time 30
php_value max_input_time 60
php_value max_input_vars 1000
php_value memory_limit 128M
php_value post_max_size 64M
php_value session.gc_maxlifetime 1440
php_value session.save_path "/var/cpanel/php/sessions/ea-php71"
php_value upload_max_filesize 32M
php_flag zlib.output_compression Off
php_flag asp_tags Off
</IfModule>
# END cPanel-generated php ini directives, do not edit

///////////////////////////////////////////////////
The Joomla! files and the website is in another directory under the public_html and the .htaccess file there is the latest provided by Joomla!
///////////////////////////////////////////////////

Here follows the FPA:
Forum Post Assistant (v1.4.6 (BabyK)) : 12th January 2019 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.9.1-Stable (Amani) 27-November-2018
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Read-Only (444) | Owner: --protected-- . (uid: 1/gid: 1) | Group: --protected-- (gid: 1) | Valid For: 3.9
Configuration Options :: Offline: false | SEF: true | SEF Suffix: true | SEF ReWrite: true | .htaccess/web.config: Yes | GZip: false | Cache: false | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: false | LiveSite: | Session lifetime: 60 | Session handler: database | Shared sessions: false | SSL: 0 | Error Reporting: none | Site Debug: true | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.9.1: Yes | Database Supports J! 3.9.1: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 3.10.0-714.10.2.lve1.5.17.1.el7.x86_64 | Technology: x86_64 | Web Server: Apache | Encoding: gzip, deflate | Doc Root: --protected-- | System TMP Writable: Yes | Free Disk Space : 2635.58 GiB |

PHP Configuration :: Version: 5.5.38 | PHP API: cgi-fcgi | Session Path Writable: Yes | Display Errors: | Error Reporting: 22519 | Log Errors To: error_log | Last Known Error: 11th January 2019 11:28:21. | Register Globals: | Magic Quotes: | Safe Mode: | Open Base: | Uploads: 1 | Max. Upload Size: 32M | Max. POST Size: 64M | Max. Input Time: 60 | Max. Execution Time: 30 | Memory Limit: 128M

Database Configuration :: Version: 5.5.5-10.0.36-MariaDB-cll-lve (Client:mysqlnd 5.0.11-dev - 20120503 - $Id: 15d5c781cfcad91193dceae1d2cdd127674ddb3e $) | Host: --protected-- (--protected--) | default Collation: utf8_general_ci (default Character Set: utf8) | Database Size: 59.75 MiB | #of Tables:  214
Detailed Environment :: wrote:PHP Extensions :: Core (5.5.38) | date (5.5.38) | ereg () | libxml () | openssl () | pcre () | zlib (2.0) | filter (0.11.0) | hash (1.0) | pcntl () | readline (5.5.38) | Reflection ($Id: dc76d2fe0f3e9c327c1d4ca617d94e26c7fae98d $) | SPL (0.2) | session () | standard (5.5.38) | cgi-fcgi () | bcmath () | bz2 () | calendar () | ctype () | curl () | dba () | dom (20031129) | enchant (1.1.0) | mbstring () | fileinfo (1.0.5) | ftp () | gd () | gettext () | gmp () | iconv () | imap () | intl (1.1.0) | json (1.2.1) | ldap () | exif (1.4 $Id: 74b652b3ebe78882b8006d49c17cac029fe8a5d0 $) | mcrypt () | mysqlnd (mysqlnd 5.0.11-dev - 20120503 - $Id: 15d5c781cfcad91193dceae1d2cdd127674ddb3e $) | mysql (1.0) | mysqli (0.1) | odbc (1.0) | PDO (1.0.4dev) | pdo_mysql (1.0.2) | PDO_ODBC (1.0.1) | pdo_pgsql (1.0.2) | pdo_sqlite (1.0.1) | pgsql () | Phar (2.0.2) | posix () | pspell () | shmop () | SimpleXML (0.1) | snmp (0.1) | soap () | sockets () | SourceGuardian (11.2) | sqlite3 (0.7-dev) | sysvmsg () | sysvsem () | sysvshm () | tidy (2.0) | tokenizer (0.1) | xml () | wddx () | xmlreader (0.1) | xmlrpc (0.51) | xmlwriter (0.1) | xsl (0.1) | zip (1.11.0) | mhash () | ionCube Loader () | Zend Guard Loader () | Zend OPcache (7.0.4-devFE) | Zend Engine (2.5.0) |
Potential Missing Extensions ::
Disabled Functions :: system | shell_exec | exec | popen | escapeshellcmd | proc_open | show_source |

Switch User Environment (Experimental) :: PHP CGI: Yes | Server SU: No | PHP SU: Yes | Custom SU (LiteSpeed/Cloud/Grid): Yes
Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (---) |

Elevated Permissions (First 10) ::
Extensions Discovered :: wrote:Components :: SITE ::
Core :: com_wrapper (3.0.0) 1 | com_mailto (3.0.0) 1 |
3rd Party:: demo (1.0) 1 | system (1.0) 1 | elegant (1.7) 1 | plg_content_comment (1.0.0) 1 | plg_content_googlemap (1.0.1) 1 | plg_content_vote (2.1.0) 1 | plg_content_social (1.0.0) 1 | plg_mediatype_link (1.0.0) 1 | plg_mediatype_video (1.0.0) 1 | plg_mediatype_image_gallery (1.0.1) 1 | plg_mediatype_quote (1.0.0) 1 | plg_mediatype_image (2.1.0) 1 | plg_mediatype_audio (1.0.0) 1 | plg_user_profile (2.1.0) 1 | plg_extrafields_textarea (2.1.0) 1 | plg_extrafields_checkboxes (2.1.0) 1 | plg_extrafields_dropdownlist (2.1.0) 1 | plg_extrafields_multipleselect (2.1.0) 1 | plg_extrafields_radio (2.1.0) 1 | plg_extrafields_text (2.1.0) 1 | WF_LINK_TITLE (2.6.35) 1 | WF_CLEANUP_TITLE (2.6.35) 1 | WF_VISUALBLOCKS_TITLE (2.6.35) 1 | WF_DIRECTIONALITY_TITLE (2.6.35) 1 | WF_SPELLCHECKER_TITLE (2.6.35) 1 | WF_MEDIA_TITLE (2.6.35) 1 | WF_XHTMLXTRAS_TITLE (2.6.35) 1 | WF_FORMATSELECT_TITLE (2.6.35) 1 | WF_EMOTIONS_TITLE (2.6.35) 1 | WF_NONBREAKING_TITLE (2.6.35) 1 | WF_SOURCE_TITLE (2.6.35) 1 | WF_PRINT_TITLE (2.6.35) 1 | WF_INLINEPOPUPS_TITLE (2.6.35) 1 | WF_FONTSIZESELECT_TITLE (2.6.35) 1 | WF_SEARCHREPLACE_TITLE (2.6.35) 1 | WF_BROWSER_TITLE (2.6.35) 1 | WF_FONTCOLOR_TITLE (2.6.35) 1 | WF_ANCHOR_TITLE (2.6.35) 1 | WF_LISTS_TITLE (2.6.35) 1 | WF_TEXTCASE_TITLE (2.6.35) 1 | WF_LAYER_TITLE (2.6.35) 1 | WF_FONTSELECT_TITLE (2.6.35) 1 | WF_PREVIEW_TITLE (2.6.35) 1 | WF_HR_TITLE (2.6.35) 1 | WF_KITCHENSINK_TITLE (2.6.35) 1 | WF_CLIPBOARD_TITLE (2.6.35) 1 | WF_AUTOSAVE_TITLE (2.6.35) 1 | WF_FULLSCREEN_TITLE (2.6.35) 1 | WF_TABLE_TITLE (2.6.35) 1 | WF_VISUALCHARS_TITLE (2.6.35) 1 | WF_CHARMAP_TITLE (2.6.35) 1 | WF_STYLE_TITLE (2.6.35) 1 | WF_CONTEXTMENU_TITLE (2.6.35) 1 | WF_IMGMANAGER_TITLE (2.6.35) 1 | WF_ARTICLE_TITLE (2.6.35) 1 | WF_STYLESELECT_TITLE (2.6.35) 1 | WF_POPUPS_JCEMEDIABOX_TITLE (2.6.35) 1 | WF_POPUPS_WINDOW_TITLE (2.6.35) 1 | WF_AGGREGATOR_VIMEO_TITLE (2.6.35) 1 | WF_AGGREGATOR_VINE_TITLE (2.6.35) 1 | WF_AGGREGATOR_[youtube]_TITLE (2.6.35) 1 | WF_AGGREGATOR_DAILYMOTION_TITL (2.6.35) 1 | WF_FILESYSTEM_JOOMLA_TITLE (2.6.35) 1 | WF_LINKS_JOOMLALINKS_TITLE (2.6.35) 1 | WF_LINK_SEARCH_TITLE (2.6.35) 1 | system (1.0) 1 |

Components :: ADMIN ::
Core :: com_config (3.0.0) 1 | com_associations (3.7.0) 1 | com_cpanel (3.0.0) 1 | com_plugins (3.0.0) 1 | com_templates (3.0.0) 1 | com_admin (3.0.0) 1 | com_fields (3.7.0) 1 | com_search (3.0.0) 1 | com_redirect (3.0.0) 1 | com_categories (3.0.0) 1 | com_tags (3.1.0) 1 | com_installer (3.0.0) 1 | com_joomlaupdate (3.6.2) 1 | com_privacy (3.9.0) 1 | com_cache (3.0.0) 1 | com_login (3.0.0) 1 | com_actionlogs (3.9.0) 1 | com_contenthistory (3.2.0) 1 | com_newsfeeds (3.0.0) 1 | com_modules (3.0.0) 1 | com_users (3.0.0) 1 | com_menus (3.0.0) 1 | com_finder (3.0.0) 1 | com_languages (3.0.0) 1 | com_checkin (3.0.0) 1 | com_postinstall (3.2.0) 1 | com_content (3.0.0) 1 | com_media (3.0.0) 1 | com_weblinks (3.6.0) 1 | com_ajax (3.2.0) 1 | com_banners (3.0.0) 1 | com_messages (3.0.0) 1 |
3rd Party:: ContentBuilder - List Action - (1.0) 1 | ContentBuilder - Themes - Khep (1.0) 1 | ContentBuilder Permission Obse (1.0) 1 | ContentBuilder - Content - Rat (1.0) 1 | ContentBuilder - Verify (1.0) 1 | ContentBuilder - List Action - (1.0) 1 | ContentBuilder - Verify - PayP (1.0) 1 | ContentBuilder - Submit - Samp (1.0) 1 | ContentBuilder - Validation - (1.0) 1 | ContentBuilder - Content - Ima (1.0) 1 | ContentBuilder - Themes - Joom (1.0) 1 | ContentBuilder - Themes - Blan (1.0) 1 | ContentBuilder System (1.1) 1 | ContentBuilder - Content - Dow (1.0) 1 | ContentBuilder - Validation - (1.0) 1 | ContentBuilder - Verify - Pass (1.0) 1 | ContentBuilder - Validation - (1.0) 1 | ContentBuilder - Validation - (1.0) 1 | ContentBuilder - Validation - (1.0) 1 | Contentbuilder (0.9.91 (build) 1 | com_tz_portfolio_plus (2.1.0) 1 | COM_JCE (2.6.35) 1 | SiteLock (3.0.7) 1 | comprofiler (2.3.0) 1 | FPSS (3.2.0) 1 | Frontpage Slideshow (by Joomla (3.2.0) 1 | FPSS (3.2.0) 1 | Frontpage Slideshow Statistics (3.2.0) 1 | com_tz_portfolio (3.3.4) 1 | com_advancedmodules (7.9.4) 1 | Admintools (5.2.0) 1 | COM_BREEZINGFORMS ((build 931)) 1 | sysbreezingforms (1.0.0) 1 | FaLang (1.7.0) 1 | Categories (1.1) 1 | com_falang (3.0.2) 1 | com_djimageslider (4.0.1) 1 | AcyMailing : Statistics Plugin (3.7.0) 1 | AcyMailing Tag : content inser (3.7.0) 1 | AcyMailing Manage text (1.0.0) 1 | AcyMailing Module (3.7.0) 1 | AcyMailing : (auto)Subscribe d (5.5.0) 1 | AcyMailing Tag : Website links (3.7.0) 1 | AcyMailing Tag : Date / Time (5.5.0) 1 | AcyMailing Tag : Subscriber in (5.5.0) 1 | AcyMailing Tag : Manage the Su (5.5.0) 1 | AcyMailing : trigger Joomla Co (3.7.0) 1 | AcyMailing : share on social n (1.0.0) 1 | AcyMailing table of contents g (1.0.0) 1 | AcyMailing Tag and filter : Co (3.7.2) 1 | AcyMailing Tag and filter : Co (3.7.2) 1 | AcyMailing Template Class Repl (5.5.0) 1 | AcyMailing Tag : Joomla User I (5.5.0) 1 | AcyMailing Editor (5.5.0) 1 | AcyMailing (5.5.0) 1 | com_pricetable (2.0.0) 1 |

Modules :: SITE ::
Core :: mod_whosonline (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_login (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_languages (3.5.0) 1 | mod_feed (3.0.0) 1 | mod_weblinks (3.6.0) 1 | mod_stats (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_tags_similar (3.1.0) 1 | mod_users_latest (3.0.0) 1 | mod_syndicate (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_search (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_articles_news_adv (1.4.3) 1 | mod_related_items (3.0.0) 1 | mod_articles_archive (3.0.0) 1 |
3rd Party:: mod_tz_portfolio_articles_popu (3.3.4) 1 | mod_tz_portfolio_articles_feat (3.1.4) 1 | DJ-ImageSlider (4.0.0) 1 | Community Builder Login module (2.3.0) 1 | AcyMailing Module (3.7.0) 1 | mod_tz_portfolio_articles_cate (3.3.4) 1 | mod_tz_portfolio_plus_articles (1.2.0) 1 | MOD_JM_PRICING_TABLES (1.02) 1 | mod_tz_portfolio_articles_late (3.3.4) 1 | mod_camera_slideshow (1.1.4) 1 | Community Builder Workflows mo (2.3.0) 1 | mod_tz_portfolio_plus_portfoli (2.1.0) 1 | mod_tz_portfolio_categories (3.3.4) 1 | mod_tz_portfolio_plus_filter (2.1.0) 1 | mod_falang (3.0.2) 1 | mod_superfish_menu (3.0.4) 1 | mod_caroufredsel (1.1.3) 1 | mod_tz_portfolio_plus_tags (2.1.0) 1 | mod_tz_portfolio_articles_cate (3.3.4) 1 | Community Builder Online modul (2.3.0) 1 | mod_tz_portfolio_articles_rand (3.3.4) 1 | mod_tz_portfolio_articles_arch (3.3.4) 1 | mod_tz_portfolio_plus_categori (2.1.0) 1 | mod_articles_single (1.1.2) 1 | BreezingForms (1.8.4) 1 | ContentBuilder - Advanced List (1.5) 1 | mod_tz_portfolio_plus_articles (2.1.0) 1 | Keen IT Responsive Price Table (2.0.0) 1 | mod_tz_portfolio_articles_news (3.3.4) 1 |

Modules :: ADMIN ::
Core :: mod_latestactions (3.9.0) 1 | mod_popular (3.0.0) 1 | mod_logged (3.0.0) 1 | mod_privacy_dashboard (3.9.0) 1 | mod_menu (3.0.0) 1 | mod_login (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_title (3.0.0) 1 | mod_status (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_sampledata (3.8.0) 1 | mod_latest (3.0.0) 1 | mod_version (3.0.0) 1 | mod_toolbar (3.0.0) 1 |
3rd Party:: Community Builder Admin module (2.3.0) 1 |

Plugins :: SITE ::
Core :: plg_twofactorauth_yubikey (3.2.0) 0 | plg_twofactorauth_totp (3.2.0) 0 | plg_installer_packageinstaller (3.6.0) 1 | PLG_INSTALLER_URLINSTALLER (3.6.0) 1 | plg_installer_webinstaller (1.1.1) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_module (3.5.0) 0 | plg_editors-xtd_menu (3.7.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_content_geshi (3.0.0) 1 | plg_content_pagebreak (3.0.0) 0 | plg_content_confirmconsent (3.9.0) 1 | plg_content_emailcloak (3.0.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_joomla (3.0.0) 1 | plg_content_finder (3.0.0) 1 | plg_content_fields (3.7.0) 1 | plg_content_vote (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_authentication_ldap (3.0.0) 0 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_gmail (3.0.0) 0 | plg_authentication_cookie (3.0.0) 1 | PLG_ACTIONLOG_JOOMLA (3.9.0) 1 | plg_captcha_recaptcha_invisibl (3.8) 1 | plg_captcha_recaptcha (3.4.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_privacycheck (3.9.0) 1 | plg_quickicon_phpversioncheck (3.7.0) 1 | plg_privacy_consents (3.9.0) 1 | plg_privacy_content (3.9.0) 1 | plg_privacy_actionlogs (3.9.0) 1 | plg_privacy_message (3.9.0) 1 | plg_privacy_user (3.9.0) 1 | plg_system_cache (3.0.0) 0 | plg_system_logrotation (3.9.0) 1 | PLG_SYSTEM_ACTIONLOGS (3.9.0) 1 | plg_system_updatenotification (3.5.0) 1 | plg_system_sef (3.0.0) 1 | plg_system_log (3.0.0) 1 | plg_system_stats (3.5.0) 1 | plg_system_logout (3.0.0) 1 | plg_system_redirect (3.0.0) 1 | plg_system_languagecode (3.0.0) 1 | plg_system_remember (3.0.0) 1 | plg_system_languagefilter (3.0.0) 1 | plg_system_privacyconsent (3.9.0) 1 | plg_system_highlight (3.0.0) 1 | plg_system_p3p (3.0.0) 1 | plg_system_sessiongc (3.8.6) 1 | plg_system_debug (3.0.0) 1 | plg_system_fields (3.7.0) 1 | plg_user_contactcreator (3.0.0) 1 | plg_user_terms (3.9.0) 1 | plg_user_profile (3.0.0) 1 | plg_user_joomla (3.0.0) 1 | plg_extension_joomla (3.0.0) 1 | plg_finder_categories (3.0.0) 1 | plg_finder_weblinks (3.6.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_contacts (3.0.0) 1 | plg_fields_textarea (3.7.0) 1 | plg_fields_media (3.7.0) 1 | plg_fields_integer (3.7.0) 1 | plg_fields_editor (3.7.0) 1 | plg_fields_sql (3.7.0) 1 | plg_fields_repeatable (3.9.0) 1 | plg_fields_checkboxes (3.7.0) 1 | plg_fields_imagelist (3.7.0) 1 | plg_fields_url (3.7.0) 1 | plg_fields_calendar (3.7.0) 1 | plg_fields_user (3.7.0) 1 | plg_fields_list (3.7.0) 1 | plg_fields_usergrouplist (3.7.0) 1 | plg_fields_color (3.7.0) 1 | plg_fields_radio (3.7.0) 1 | plg_fields_text (3.7.0) 1 | plg_search_categories (3.0.0) 1 | plg_search_weblinks (3.6.0) 1 | plg_search_content (3.0.0) 1 | plg_search_tags (3.0.0) 1 | plg_search_newsfeeds (3.0.0) 1 | plg_search_contacts (3.0.0) 1 |
3rd Party:: AcyMailing Template Class Repl (5.5.0) 1 | AcyMailing Tag : Joomla User I (5.5.0) 1 | AcyMailing : trigger Joomla Co (3.7.0) 1 | AcyMailing Tag : Subscriber in (5.5.0) 1 | AcyMailing Manage text (1.0.0) 1 | AcyMailing Tag and filter : Co (3.7.2) 1 | AcyMailing Tag and filter : Co (3.7.2) 1 | AcyMailing : Statistics Plugin (3.7.0) 1 | AcyMailing : share on social n (1.0.0) 1 | AcyMailing Tag : Manage the Su (5.5.0) 1 | AcyMailing Tag : Date / Time (5.5.0) 1 | AcyMailing Tag : content inser (3.7.0) 1 | AcyMailing table of contents g (1.0.0) 1 | AcyMailing Tag : Website links (3.7.0) 1 | plg_installer_jce (2.6.35) 1 | plg_editors-xtd_sourcerer (7.4.0) 1 | plg_editors-xtd_modals (11.1.3) 1 | plg_editors-xtd_modulesanywher (7.8.0) 1 | Content - TM AddThis (1.0.4) 1 | Content - Community Builder Au (2.0.1) 1 | BreezingForms (1.8) 1 | Content-TZ Portfolio Comment (3.3.4) 1 | ContentBuilder - Content - Rat (1.0) 1 | ContentBuilder - Content - Ima (1.0) 1 | plg_content_jce (2.6.35) 1 | ContentBuilder Permission Obse (1.0) 1 | ContentBuilder - Verify (1.0) 1 | Content-TZ Portfolio (3.3.4) 1 | ContentBuilder - Content - Dow (1.0) 1 | PLG_TZ_PORTFOLIO_VOTE (3.3.4) 1 | ContentBuilder - Submit - Samp (1.0) 1 | plg_actionlog_advancedmodules (7.9.4) 1 | ContentBuilder - Themes - Blan (1.0) 1 | ContentBuilder - Themes - Khep (1.0) 1 | ContentBuilder - Themes - Joom (1.0) 1 | plg_quickicon_jce (2.6.35) 1 | ContentBuilder - Verify - Pass (1.0) 1 | ContentBuilder - Verify - PayP (1.0) 1 | plg_system_falangdriver (3.0.2) 1 | AcyMailing : (auto)Subscribe d (5.5.0) 1 | Community Builder System plugi (2.3.0) 1 | plg_system_tz_portfolio_plus (2.1.0) 1 | System - AntiCopy (1.8.2) 1 | sysbreezingforms (1.0.0) 1 | plg_system_falangquickjump (3.0.2) 1 | PLG_RESPONSIVESCROLLINGTABLES (1.2.2) 1 | plg_system_sourcerer (7.4.0) 1 | plg_system_modals (11.1.3) 1 | plg_system_regularlabs (18.12.19593) 1 | PLG_SYSTEM_SSLREDIRECT (0.11.3) 1 | plg_system_jce (2.6.35) 1 | plg_system_modulesanywhere (7.8.0) 1 | plg_system_advancedmodules (7.9.4) 1 | Plazart Framework (7.0) 1 | System - Site Lock (v3.0.6) 1 | Google Maps (2.18) 1 | PLG_SYSTEM_ADMINTOOLS (5.2.0) 1 | ContentBuilder System (1.1) 1 | System-TZ Portfolio (3.3.4) 1 | User-TZ Portfolio (3.3.4) 1 | plg_extension_jce (2.6.35) 1 | plg_tz_portfolio_example (3.3.4) 0 | ContentBuilder - Validation - (1.0) 1 | ContentBuilder - Validation - (1.0) 1 | ContentBuilder - Validation - (1.0) 1 | ContentBuilder - Validation - (1.0) 1 | ContentBuilder - Validation - (1.0) 1 | plg_fields_mediajce (2.6.35) 1 | plg_editors_tinymce (4.5.9) 1 | plg_editors_jce (2.6.35) 1 | plg_editors_codemirror (5.40.0) 1 | AcyMailing Editor (5.5.0) 1 | ContentBuilder - List Action - (1.0) 1 | ContentBuilder - List Action - (1.0) 1 | plg_search_tz_portfolio_conten (3.3.4) 1 | plg_search_tz_portfolio_catego (3.3.4) 1 | Search - Community Builder (2.1.0) 1 |
Templates Discovered :: wrote:Templates :: SITE :: protostar (1.0) 1 | beez3 (3.1.0) 1 | theme1425 (2.0.1) 1 | tz_portfolio_plus_demo (1.0) 1 |
Templates :: ADMIN :: hathor (3.0.0) 1 | isis (1.0) 1 |
Thanks
Last edited by toivo on Sat Jan 12, 2019 12:00 pm, edited 1 time in total.
Reason: mod note: disabled smilies in post Options for readability

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 37022
Joined: Sat Apr 05, 2008 9:58 pm

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by Webdongle » Sat Jan 12, 2019 2:00 pm

Use Akeeba to copy your site to (Wamp) localhost and try ehere.
https://docs.joomla.org/Copying_a_Joomla_website
http://www.wampserver.com/en/

If that doesn't work then you could have broke your site by trying to use the extension manager to update.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sat Jan 12, 2019 7:46 pm

Hello @Webdongle,

I did try to update Joomla! with extension manager but the reason I have mentioned the extension manager is because of the message that appears there when I click "update".
Also, in my last message I explain that I have used older backups (before the issue appear) where the Joomla! update of the site was working fine and now it does not. In these older backups I have never tried to update Joomla! through the extensions manager>>>update but they also have the same problem updating. In other words, all backup copies are up and running and all of them have the same problem when I try to update. So, in my humble opinion it doesn't seem to be a site issue but a server setting...no?

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 7151
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by sozzled » Sat Jan 12, 2019 8:25 pm

galanopd wrote:
Sat Jan 12, 2019 7:46 pm
I never tried to update Joomla! with extension manager.
This contradicts your earlier statement:

galanopd wrote:
Mon Dec 31, 2018 7:08 am
When I tried "Upload&Install" I received this: "Warning
JInstaller: :Install: Can't find XML setup file.
The Joomla package cannot be installed through the Extension Manager. Please use the Joomla! Update component to update Joomla.
This means that you tried to use the Extension Manager to upload and update J! (even though you were unsuccessful in attempting to do so). And, as I commented earlier:

sozzled wrote:
Wed Jan 02, 2019 6:42 pm
I don't know where you thought you could use the Extension Manager to update Joomla but wherever you obtained that idea I think you should learn how to use the Joomla! Update component.
The updated FPA report is inconclusive w.r.t. allow_url_fopen; that may be a fault with the FPA report generator. Your webhosting provider can confirm if this PHP module is included in your hosting plan.
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sat Jan 12, 2019 8:46 pm

@sozzled

I have updated my last answer before your last post and yes I had tried to update Joomla! but as I have explained, yesterday I used older backups (3 different) and all of them have the same issue in updating Joomla!. So the fact that I tried to update Joomla! in one of them does not mean that this is the problem, as the same problem appears to all backup versions of my site. Even in a backup of three months ago. The issue appeared only when I posted to this forum.

Now, about the allow_url_fopen please check the following

Home directory

allow_url_fopen This option enables the URL-aware fopen wrappers that enable accessing URL object like files. Default wrappers are provided for the access of remote files using the ftp or http protocol, some extensions like zlib may register additional wrappers.
Enabled

allow_url_include This option allows the use of URL-aware fopen wrappers with the following functions: include(), include_once(), require(), require_once().
Disabled

display_errors This determines whether errors should be printed to the screen as part of the output or if they should be hidden from the user.
Disabled

enable_dl This directive is really only useful in the Apache module version of PHP. You can turn dynamic loading of PHP extensions with dl() on and off per virtual server or per directory. The main reason for turning dynamic loading off is security. With dynamic loading, it is possible to ignore all open_basedir restrictions. The default is to allow dynamic loading, except when using safe mode. This feature is deprecated, and will be removed at a future time.
Disabled

file_uploads Whether or not to allow HTTP file uploads.
Enabled

max_execution_time This sets the maximum time in seconds a script is allowed to run before it is terminated by the parser. This helps prevent poorly written scripts from tying up the server. The default setting is 90.
30

max_input_time This sets the maximum time in seconds a script is allowed to parse input data, like POST, GET and file uploads.
60

max_input_vars This sets the maximum number of input variables allowed per request and can be used to deter denial of service attacks involving hash collisions on the input variable names.
1000

memory_limit This sets the maximum amount of memory in bytes that a script is allowed to allocate. This helps prevent poorly written scripts for eating up all available memory on a server. Note that to have no memory limit, set this directive to -1.
128M

post_max_size Sets max size of post data allowed. This setting also affects file upload. To upload large files, this value must be larger than upload_max_filesize. Generally speaking, memory_limit should be larger than post_max_size.
64M

session.gc_maxlifetime This specifies the number of seconds after which data will be seen as "garbage" and potentially cleaned up.
1440

session.save_path session.save_path defines the argument which is passed to the save handler. If you choose the default files handler, this is the path where the files are created.
/var/cpanel/php/sessions/ea-php70

upload_max_filesize The maximum size of an uploaded file.
32M

zlib.output_compression Whether to transparently compress pages. If this option is set to "On" in php.ini or the Apache configuration, pages are compressed if the browser sends an "Accept-Encoding: gzip" or "deflate" header.
Disabled

////////////////////////////////////////////

Site

allow_url_fopen This option enables the URL-aware fopen wrappers that enable accessing URL object like files. Default wrappers are provided for the access of remote files using the ftp or http protocol, some extensions like zlib may register additional wrappers.
Enabled

allow_url_include This option allows the use of URL-aware fopen wrappers with the following functions: include(), include_once(), require(), require_once().
Disabled

asp_tags Enables the use of ASP-like <% %> tags in addition to the usual <?php ?> tags. This includes the variable-value printing shorthand of <%= $value %>.
Disabled

display_errors This determines whether errors should be printed to the screen as part of the output or if they should be hidden from the user.
Disabled

enable_dl This directive is really only useful in the Apache module version of PHP. You can turn dynamic loading of PHP extensions with dl() on and off per virtual server or per directory. The main reason for turning dynamic loading off is security. With dynamic loading, it is possible to ignore all open_basedir restrictions. The default is to allow dynamic loading, except when using safe mode. This feature is deprecated, and will be removed at a future time.
Disabled

file_uploads Whether or not to allow HTTP file uploads.
Enabled

max_execution_time This sets the maximum time in seconds a script is allowed to run before it is terminated by the parser. This helps prevent poorly written scripts from tying up the server. The default setting is 90.
30

max_input_time This sets the maximum time in seconds a script is allowed to parse input data, like POST, GET and file uploads.
60

max_input_vars This sets the maximum number of input variables allowed per request and can be used to deter denial of service attacks involving hash collisions on the input variable names.
1000

memory_limit This sets the maximum amount of memory in bytes that a script is allowed to allocate. This helps prevent poorly written scripts for eating up all available memory on a server. Note that to have no memory limit, set this directive to -1.
128M

post_max_size Sets max size of post data allowed. This setting also affects file upload. To upload large files, this value must be larger than upload_max_filesize. Generally speaking, memory_limit should be larger than post_max_size.
64M

session.gc_maxlifetime This specifies the number of seconds after which data will be seen as "garbage" and potentially cleaned up.
1440

session.save_path session.save_path defines the argument which is passed to the save handler. If you choose the default files handler, this is the path where the files are created.
/var/cpanel/php/sessions/ea-php71

upload_max_filesize The maximum size of an uploaded file.
32M

zlib.output_compression Whether to transparently compress pages. If this option is set to "On" in php.ini or the Apache configuration, pages are compressed if the browser sends an "Accept-Encoding: gzip" or "deflate" header.
Disabled

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 7151
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by sozzled » Sat Jan 12, 2019 8:53 pm

Thanks. I guess the FPA report doesn't display allow_url_fopen; fair enough. I don't know what else I can write differently from what I've written before. Basically, you've paid for a webhosting service and, in my opinion, you're not getting the service you require. That's OK as far as I'm concerned because it's not my website, it's not my business and it's not my problem. If it were my website/business/problem (and I couldn't fix this myself) I would be paying someone for a solution. The solution could involve changing to a different webhosting provider.
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

frostmakk
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 158
Joined: Sun Dec 28, 2014 9:30 am
Location: Stavanger, Norway

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by frostmakk » Sat Jan 12, 2019 9:01 pm

sozzled wrote:
Sat Jan 12, 2019 8:25 pm
The updated FPA report is inconclusive w.r.t. allow_url_fopen; that may be a fault with the FPA report generator. Your webhosting provider can confirm if this PHP module is included in your hosting plan.
allow_url_fopen is not a module. It's a setting in php.ini, and the FPA doesn't report this.

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 7151
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by sozzled » Sat Jan 12, 2019 9:04 pm

Thanks, @frostmakk
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

frostmakk
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 158
Joined: Sun Dec 28, 2014 9:30 am
Location: Stavanger, Norway

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by frostmakk » Sat Jan 12, 2019 9:17 pm

On the other hand, maybe we should include it?
I'll make a note for later.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 37022
Joined: Sat Apr 05, 2008 9:58 pm

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by Webdongle » Sat Jan 12, 2019 9:36 pm

You could have broken your site by trying to use the Extensions manager to update Joomla. To rule out that possibility use Akeeba to copy your site to localhost. If it fails to update on localhost you may need to rebuild your files. If it updates on localhost then it is the server.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sat Jan 12, 2019 10:49 pm

Webdongle wrote:
Sat Jan 12, 2019 9:36 pm
You could have broken your site by trying to use the Extensions manager to update Joomla. To rule out that possibility use Akeeba to copy your site to localhost. If it fails to update on localhost you may need to rebuild your files. If it updates on localhost then it is the server.
I will do that as I do not know what else to try... The thing is that the problem existed before trying to update Joomla! through Extensions manager! It was showing "Joomla! up to date" although it was not! And that is why I tried to update it manually!

In any case I will try to do as you say...

Thanks

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sun Jan 13, 2019 9:34 am

sozzled wrote:
Sat Jan 12, 2019 8:53 pm
Thanks. I guess the FPA report doesn't display allow_url_fopen; fair enough. I don't know what else I can write differently from what I've written before. Basically, you've paid for a webhosting service and, in my opinion, you're not getting the service you require. That's OK as far as I'm concerned because it's not my website, it's not my business and it's not my problem. If it were my website/business/problem (and I couldn't fix this myself) I would be paying someone for a solution. The solution could involve changing to a different webhosting provider.
@sozzled
I agree with you but the interesting thing here is to discover what is wrong. It could also help others facing the same issue. I will upload the older backup that I have, hoping it is Joomla! version before 3.9.0 to check if something went wrong when I updated to 3.9.0... In any case if nothing works and if host doesn't make an effort to see what is wrong (I contacted them again)... I might move to another host!

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 37022
Joined: Sat Apr 05, 2008 9:58 pm

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by Webdongle » Sun Jan 13, 2019 10:17 am

If I send you my email could you send me the jpa backup file of the existing site?
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sun Jan 13, 2019 11:00 am

Webdongle wrote:
Sun Jan 13, 2019 10:17 am
If I send you my email could you send me the jpa backup file of the existing site?
Thanks for asking @Webdongle but due to the fact that there are some sensitive data, I am a bit sceptical on this for the moment. In other words, I don't say no but I prefer to leave this as a final step in case I can't solve it other way.

Thanks

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 37022
Joined: Sat Apr 05, 2008 9:58 pm

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by Webdongle » Sun Jan 13, 2019 11:05 am

no don't do sensitive data.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sun Jan 13, 2019 5:26 pm

Ok, I have a warning. Could this be the cause?

"The PHP temporary folder is not set.
The PHP temporary folder is the folder that PHP uses to store an uploaded file before Joomla can access this file. Whilst the folder not being set isn't always a problem, if you are having issues with manifest files not being detected or uploaded files not being detected, setting this in your php.ini file might fix the issue."

Things I have checked:

1. tmp path in configuration.php, correct
2. tmp path in php.ini, not existed, so I added myself (upload_tmp_dir ="/home/xxxx/public_html/xxxx/tmp"
3. path in Global configuration>>> Server settings, correct

Warning is still there!

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 37022
Joined: Sat Apr 05, 2008 9:58 pm

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by Webdongle » Sun Jan 13, 2019 6:56 pm

The PHP temporary folder path is defined in the main php.ini file. If it is not defined then it defaults to system default. The fpa reports "System TMP Writable: Yes " ... so the fact it is not defined in the main php.ini is not a problem because the folder it defaults to is writeable. (Works OK like that for my site).


Try the following. does the second image show what is displayed when you click 'check for updates' on your site ?
check for update 01.JPG
check for update 02.JPG
You do not have the required permissions to view the files attached to this post.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sun Jan 13, 2019 7:11 pm

Webdongle wrote:
Sun Jan 13, 2019 6:56 pm
The PHP temporary folder path is defined in the main php.ini file. If it is not defined then it defaults to system default. The fpa reports "System TMP Writable: Yes " ... so the fact it is not defined in the main php.ini is not a problem because the folder it defaults to is writeable. (Works OK like that for my site).


Try the following. does the second image show what is displayed when you click 'check for updates' on your site ?check for update 01.JPGcheck for update 02.JPG
Unfortunately it doesn't!
Joomla updates.png
You do not have the required permissions to view the files attached to this post.

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 7151
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by sozzled » Sun Jan 13, 2019 7:15 pm

Don't use the "Joomla Next" update channel. Where did you get the idea you should use that? Use the "Default" update channel.
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sun Jan 13, 2019 7:27 pm

Here is what I get when I click Extensions>>>update
Joomla Extensions Update.png
Here is the PHP tmp warning
Joomla Extensions Warnings.png
@sozzled It is the default channel!
Joomla Update Options.png
You do not have the required permissions to view the files attached to this post.

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sun Jan 13, 2019 7:40 pm

@sozzled

Ok so here is what I did! Although it was showing "Default" update channel, I clicked save (just to be sure) and here is the result!
Joomla Update channel.png
But the issue remains....
You do not have the required permissions to view the files attached to this post.

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 7151
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by sozzled » Sun Jan 13, 2019 7:53 pm

I just wanted to be sure (about using the "Default" update channel).

The warnings you see for the Extension Manager » Update are not related to this discussion.

The error, from the Joomla! Update component, is different. I don't know why this is happening but there reasons to suspect that your webhosting platform/site configuration is at the heart of these problems. From the sounds of things, for as long as you continue to use that webhosting platform, you will not be able to build upon your website or update J!. I don't know what else I can say.

It would also seem that my other observations in this topic (about using Extension Manager » Update to update J!) were wrong and I apologise for assuming facts not in evidence. Your site is broken (as far as updating J! is concerned) but I don't know how. :(
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Sun Jan 13, 2019 8:09 pm

sozzled wrote:
Sun Jan 13, 2019 7:53 pm
I just wanted to be sure (about using the "Default" update channel).

The warnings you see for the Extension Manager » Update are not related to this discussion.

The error, from the Joomla! Update component, is different. I don't know why this is happening but there reasons to suspect that your webhosting platform/site configuration is at the heart of these problems. From the sounds of things, for as long as you continue to use that webhosting platform, you will not be able to build upon your website or update J!. I don't know what else I can say.

It would also seem that my other observations in this topic (about using Extension Manager » Update to update J!) were wrong and I apologise for assuming facts not in evidence. Your site is broken (as far as updating J! is concerned) but I don't know how. :(
Thank you very much, I appreciate your (and each and everyone involved) interest in this matter all these days.

I will continue digging a bit more in this... In the meantime, I have also sent a few messages to host hoping that they will fix it.

Whatever is the solution I will post it here.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 37022
Joined: Sat Apr 05, 2008 9:58 pm

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by Webdongle » Mon Jan 14, 2019 3:35 am

That is most likely your server preventing the connection.

Copy the site to localhost and try.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Tue Jan 15, 2019 3:36 pm

I think I am getting closer....

Joomla! came up with a message in the control panel that I have a new update for an extension. I clicked in order to go and see which update it was and except the usual error messages that Joomla! can't update etc, there was a new message saying that some of my updates are disabled! I checked the Extensions>>>Update sites but none was disabled! I went searching and I clicked on Extensions>>>Installed Languages... there I came up with this
Extensions Install Languages.png
So I clicked and did the rebuild. Everything went ok but the problem is not fixed and when I go to Extensions>>Install Languages the same message appears.

Except something that I noticed that I am not sure if it is ok... In the Extensions>>>Update sites I see the Joomla! Core files but one of them has no name. Is this normal?
Extensions Update Sites.png
That is all for now...
You do not have the required permissions to view the files attached to this post.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 37022
Joined: Sat Apr 05, 2008 9:58 pm

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by Webdongle » Tue Jan 15, 2019 6:01 pm

Have you copied the site to localhost yet ?
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Tue Jan 15, 2019 6:11 pm

Webdongle wrote:
Tue Jan 15, 2019 6:01 pm
Have you copied the site to localhost yet ?
Will do either tonight or tomorrow night and send feedback

galanopd
Joomla! Apprentice
Joomla! Apprentice
Posts: 30
Joined: Sat Dec 29, 2018 3:12 am

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by galanopd » Tue Apr 02, 2019 11:36 am

So, after quite some time I came up with the following:

1. Joomla does update normally with WAMP
2. I have asked host to delete everything from the server and reset the server so all settings go to their default values. After that I made a new Joomla installation through cPanel and the result was... Joomla was not updating!
3.I have contacted host support and here follows the dialogue:

////////////////////////////////////////
Host said:

Hello ---,

Thank you for contacting ---.

We have already provided an extensive amount of script support regarding your 3rd party script, which is beyond the scope of our support. We do offer limited amount of script debugging service at US$95/hour with a minimum 2-hour charge, however, we have not charged you thus far for any of the script debugging support which --- had previously given trying to help you as a courtesy.

As for the issue with updating Joomla, we've done extensive testing and were unable to get it to update as it's being blocked from Joomla's side and it's not something we can resolve on our side. We have tested with manual and alternative server based updates to confirm that Joomla will update correctly on the server. You can contact Joomla support to see if they can provide you an alternative update server, unless they can help you resolve the issue.

Thank you.


Regards,
----------------------------------------
Here follows my answer:

Hello ---,

To make things clear, after so many years (more than 15) being loyal to --- (started with site ---) and almost never used your support, you are telling me now that you are doing something which is beyond the scope of the support???

I am only asking for a working copy of Joomla!, what you call the 3rd party extension that you claim as

-------------------------------------------------
Specialized Joomla Support

Our team of Joomla experts are just a call or message away. With 19+ years in the web hosting industry, our award-winning team is prepared with the latest website trends and updates.
------------------------------------------------

After all, I am only asking for a working copy! That simple!

I have been struggling for months to make it work because your support team was telling me that it must be something wrong on my side and they indicated me to search at Joomla! forums for a solution and when I did and found that it must be a hosting fault, your support team said that I seek all over for a solution to my issue rather than asking the support team!

I have been so positive and patience all this time but honestly, I wasn't expecting --- not to be able to deliver a working Joomla! copy. And even IF it is a Joomla! issue as you claim since you have tested in other servers too, don't you think that you should contact them in order to find a solution for all your customers rather than saying to me that you are doing something beyond the scope of the support?

So are you saying that if I pay you, you will find a solution to the issue but without money you can't?

What happens to all other --- customers using Joomla!? Am I the only one using Joomla!?

Anyway, thank you for your answer,

I will try to find a solution from Joomla! forums, ofcourse mentioning --- position on this matter and look for another hosting provider soon.

Thank you,
-------------------------
Host company answered back:

Thank you for your reply.

As previously mentioned, we are unable to get it to update because it's being blocked from Joomla's side and it's not something we can resolve on our side. We have tested with manual and alternative server based updates to confirm that Joomla will update correctly on the server. You can contact Joomla support to see if they can provide you an alternative update server, unless they can help you resolve the issue. Or, you can manually update Joomla yourself.


Regards,

//////////////////////////////////////////////////

So after all, honestly I don't know who is responsible for this fault. It seems to me that it is a host issue with wrong settings. I have spent days to understand what could be causing this and at the end instead of making host understand their fault (if it is) and find a solution after 15 years of being loyal to them..I am left with no support!

Anyway, that is the last thing I care about as I am already decided to change host but I had to share in this forum, firstly to thank everyone for spending their time to help and secondly to inform others that sometimes can be a host fault!

Regards

P.S. Although the original post was "Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!", the same issue went on until the latest version of today 3.9.4

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 37022
Joined: Sat Apr 05, 2008 9:58 pm

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by Webdongle » Tue Apr 02, 2019 3:08 pm

Once you had it working on wamp you could have used Akeeba to move it.

Installing with a 3rd party package will cause problems.

Your update problem is your Hosts fault. Find a decent Host.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19529
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Can't update 3.9.0 to 3.9.1 "Joomla is up to date"!

Post by leolam » Tue Apr 02, 2019 3:09 pm

Change host. Responses from your host are hilarious. Also note that PHP 5.5 is prehistoric. We are now having PHP7.3 already and Joomla and extensions run very well on PHP 7.2 for sure. A host who still supports a dead product and does not upgrade is a lousy host (PHP5.5 EOL is mid 2016 so already 3 years no longer supported in updates and security (!) Ohhh and one more thing...Upcoming Joomla 4.x does not run on PHP5.5! and PHP 5.5 has tons of security issues. Change host!

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
-> Joomla Webmaster Services: gws-webmaster.services


Post Reply

Return to “Administration Joomla! 3.x”